<div style="color: #fff; text-align: center;" *ngIf="totalPage == 0" [ngClass]="{not_dark: !isDarkMore}">
    No Data
</div>
<div class="wrap-pagination" [ngClass]="{not_dark: !isDarkMore}">
    <ul *ngIf="pager && pager['pages'] && pager['pages'].length && showPage" class="pagination">
        <li [ngClass]="{disabled:pager['currentPage'] === 1}">
            <a class="fix_s_page" (click)="choosepage(pager.currentPage - 1)">Prev</a>
        </li>
        <li *ngFor="let page of pager['pages']" [ngClass]="{active:pager['currentPage'] === page}">
            <a (click)="choosepage(page)">{{page}}</a>
        </li>
        <li [ngClass]="{disabled:pager['currentPage'] === pager['totalPages']}">
            <a class="fix_s_page" (click)="choosepage(pager['currentPage'] + 1)">Next</a>
        </li>
    </ul>
</div>
